/*
 * FCKeditor - The text editor for internet
 * Copyright (C) 2003-2004 Frederico Caldeira Knabben
 * 
 * Licensed under the terms of the GNU Lesser General Public License:
 * 		http://www.opensource.org/licenses/lgpl-license.php
 * 
 * For further information visit:
 * 		http://www.fckeditor.net/
 * 
 * File Name: fckplugin.js
 * 	
 * 
 * Version:  
 * Modified: 
 * 
 * File Authors:
 * 		
 */
 
var FCKSbTranslator = function() {
	/*...*/
}

FCKSbTranslator.prototype.Execute = function() {
	ResizeSubFrame();
	top.sbApplyChangesObject.registerChange();
}

sbTranslator = new FCKSbTranslator();

FCKCommands.RegisterCommand('SbTranslator', sbTranslator);

function SbTranslatorHandler() {
	FCKCommands.GetCommand('SbTranslator').Execute();
}

if (FCKBrowserInfo.IsIE) {
	FCK.EditorDocument.attachEvent( 'onkeyup', SbTranslatorHandler);
} else {
	FCK.EditorDocument.addEventListener('keyup', SbTranslatorHandler, true);
}
